#include "Atm_Tstepper_OSC.h"

Atm_Tstepper_OSC& Atm_Tstepper_OSC::begin(Atm_Tstepper & stepperMachineRef, EthernetUDP& udpRef, OSCBundle& bndl, const char* address) {
  this-> stepperMachine = &stepperMachineRef;
  _adress = address;
  this->_udpRef =   &udpRef;
  this->_bndl = &bndl ;
  return *this;
}



Atm_Tstepper_OSC& Atm_Tstepper_OSC::onOSC(OSCMessage& msg ){
  Serial.println("OSC");
  int patternOffset = msg.match(_adress) ;
  if(patternOffset){
    if(msg.fullMatch("/speedAcc", patternOffset)){
      stepperMachine->motor->setMaxSpeed(msg.getInt(0));
      stepperMachine->motor->setAcceleration(msg.getInt(1));
    }
    if(msg.fullMatch("/enable", patternOffset)){msg.getInt(0) ? stepperMachine->trigger(stepperMachine->EVT_ENABLE) : stepperMachine->trigger(stepperMachine->EVT_DISABLE);}
    //if(msg.fullMatch("/home", patternOffset)){home(msg.getInt(0));}
    if(msg.fullMatch("/move", patternOffset)){stepperMachine->move(msg.getInt(0));}
    if(msg.fullMatch("/moveTo", patternOffset)){stepperMachine->moveTo(msg.getInt(0));}
    if(msg.fullMatch("/stop", patternOffset)){stepperMachine->stop();}
    if(msg.fullMatch("/emergencyStop", patternOffset)){stepperMachine->emergency();}

    return *this;
  }
}
